<?php

namespace App\Classes\Modules\Exports\Services;

use App\Classes\Modules\Exports\Services\ExportsDeliveryOrders; 
use App\Classes\Modules\Exports\Services\ExportsDeliveryValidValues; 
use App\Models\Order;
use Maatwebsite\Excel\Concerns\Exportable;
use Illuminate\Http\Request;
use Maatwebsite\Excel\Concerns\WithMultipleSheets;

class ExportsMultipleDeliveryOrders implements WithMultipleSheets
{
    use Exportable;

    protected $request;
    
    /**
     * ExportsMultipleDeliveryOrders constructor.
     * @param Request $request
     */
    public function __construct(Request $request)
    {
        $this->request = $request;
    }

    /**
     * @return array
     */
    public function sheets(): array
    {
        $sheets = [];
        $sheets[] = new ExportsDeliveryOrders($this->request);
        $sheets[] = new ExportsDeliveryValidValues($this->request);

        return $sheets;
    }
}